unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure OKButtonClick(Sender: TObject);
  private
    fTimer: TTimer;
    procedure BriefEnd(Sender: TObject);
    { Private declarations }
  public
    { Public declarations }
    procedure ShowBrief;
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
Close
end;

procedure TAboutBox.ShowBrief;
begin
BorderIcons:= []; BorderStyle:= bsNone;
ClientWidth:= Panel1.Width;
ClientHeight:= Panel1.Height;
Panel1.Left:= 0; Panel1.Top:= 0;
fTimer:= TTimer.Create(Self);
fTimer.Interval:= 3000;
fTimer.Enabled:= true;
fTimer.OnTimer:= BriefEnd;
Show
end;

procedure TAboutBox.BriefEnd;
  begin
  Release;
  AboutBox:= TAboutBox.Create(Application)
  end;
end.
